log4cplus::helpers::SteadyClockGate Class Reference

`#include <eventcounter.h>`

Inheritance diagram for log4cplus::helpers::SteadyClockGate:
[legend]
Collaboration diagram for log4cplus::helpers::SteadyClockGate:
[legend]

## Classes

struct | Info

## Public Types

using | Clock = std::chrono::steady_clock
using | Duration = Clock::duration
using | TimePoint = std::chrono::time_point<Clock>

## Public Member Functions

| SteadyClockGate (SteadyClockGate::Duration pause_duraiton)
virtual | ~SteadyClockGate ()
bool | latch_open (Info &)
Public Member Functions inherited from log4cplus::helpers::BaseEventCounter
| BaseEventCounter ()
virtual | ~BaseEventCounter ()
virtual std::size_t | record_event ()

## Additional Inherited Members

Protected Attributes inherited from log4cplus::helpers::BaseEventCounter
std::atomic< std::size_t > | event_count {0}

## Detailed Description

Definition at line 58 of file eventcounter.h.

## Member Typedef Documentation

## Clock

using log4cplus::helpers::SteadyClockGate::Clock = std::chrono::steady_clock

Definition at line 62 of file eventcounter.h.

## Duration

using log4cplus::helpers::SteadyClockGate::Duration = Clock::duration

Definition at line 63 of file eventcounter.h.

## TimePoint

using log4cplus::helpers::SteadyClockGate::TimePoint = std::chrono::time_point<Clock>

Definition at line 64 of file eventcounter.h.

## Constructor & Destructor Documentation

## SteadyClockGate()

log4cplus::helpers::SteadyClockGate::SteadyClockGate | ( | SteadyClockGate::Duration | pause_duraiton | ) |

## ~SteadyClockGate()

virtual log4cplus::helpers::SteadyClockGate::~SteadyClockGate | ( |  | ) |

virtual

## Member Function Documentation

## latch_open()

bool log4cplus::helpers::SteadyClockGate::latch_open | ( | Info & |  | ) |

The documentation for this class was generated from the following file:

- eventcounter.h